> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Location Profile

> A `GET` to the `/location-profiles/{locationProfileId}` endpoint allows your application to retrieve a specific location profile assignment.



## OpenAPI

````yaml get /v3/location-profiles/{locationProfile}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/location-profiles/{locationProfile}:
    get:
      tags:
        - Location Profile
      summary: Read Location Profile
      description: >-
        A `GET` to the `/location-profiles/{locationProfileId}` endpoint allows
        your application to retrieve a specific location profile assignment.
      operationId: locationProfile.show
      parameters:
        - name: locationProfile
          in: path
          required: true
          description: The location profile ID
          schema:
            type: integer
      responses:
        '200':
          description: '`LocationProfileResource`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/LocationProfileResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    LocationProfileResource:
      type: object
      properties:
        id:
          type: integer
        location_id:
          type: integer
        profile_id:
          type: string
        assignment_type:
          type: string
        role_type:
          type:
            - string
            - 'null'
        is_default:
          type: boolean
        is_active:
          type: boolean
        starts_at:
          type:
            - string
            - 'null'
        ends_at:
          type:
            - string
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        profile_external_id:
          type:
            - string
            - 'null'
        sort_order:
          type: integer
        notes:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        excluded_service_handles:
          anyOf:
            - type: array
              items: {}
            - type: 'null'
            - type: array
              items:
                type: string
              minItems: 0
              maxItems: 0
              additionalItems: false
        location:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type: string
            handle:
              type: string
          required:
            - id
            - name
            - handle
        profile:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            first_name:
              type: string
            last_name:
              type: string
            email:
              type: string
          required:
            - id
            - first_name
            - last_name
            - email
        created_at:
          type: string
        updated_at:
          type: string
        deleted_at:
          type: string
      required:
        - id
        - location_id
        - profile_id
        - assignment_type
        - role_type
        - is_default
        - is_active
        - starts_at
        - ends_at
        - external_id
        - profile_external_id
        - sort_order
        - notes
        - meta
        - excluded_service_handles
        - location
        - profile
        - created_at
        - updated_at
        - deleted_at
      title: LocationProfileResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````